Group (Tomcat API Documentation)
Keywords: org.apache.catalina.Group interface

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina
Interface Group

All Superinterfaces:
  java.security.Principal

All Known Implementing Classes:
  AbstractGroup, MemoryGroup

    public interface Group

extends java.security.Principal

Abstract representation of a group of `User`s in a `UserDatabase`. Each user that is a member of this group inherits the `Role`s assigned to the group.

Since:
  4.1
Version:
  $Revision: 467222 $ $Date: 2006-10-24 05:17:11 +0200 (Tue, 24 Oct 2006) $
Author:
  Craig R. McClanahan

Method Summary
`void` | `addRole(Role role)` Add a new `Role` to those assigned specifically to this group.
`java.lang.String` | `getDescription()` Return the description of this group.
`java.lang.String` | `getGroupname()` Return the group name of this group, which must be unique within the scope of a `UserDatabase`.
`java.util.Iterator` | `getRoles()` Return the set of `Role`s assigned specifically to this group.
`UserDatabase` | `getUserDatabase()` Return the `UserDatabase` within which this Group is defined.
`java.util.Iterator` | `getUsers()` Return the set of `User`s that are members of this group.
`boolean` | `isInRole(Role role)` Is this group specifically assigned the specified `Role`?
`void` | `removeRole(Role role)` Remove a `Role` from those assigned to this group.
`void` | `removeRoles()` Remove all `Role`s from those assigned to this group.
`void` | `setDescription(java.lang.String description)` Set the description of this group.
`void` | `setGroupname(java.lang.String groupname)` Set the group name of this group, which must be unique within the scope of a `UserDatabase`.

Methods inherited from interface java.security.Principal
`equals, getName, hashCode, toString`

Method Detail

### getDescription

    java.lang.String getDescription()

  Return the description of this group.

### setDescription

    void setDescription(java.lang.String description)

  Set the description of this group.

  Parameters:
    `description` - The new description

### getGroupname

    java.lang.String getGroupname()

  Return the group name of this group, which must be unique within the scope of a `UserDatabase`.

### setGroupname

    void setGroupname(java.lang.String groupname)

  Set the group name of this group, which must be unique within the scope of a `UserDatabase`.

  Parameters:
    `groupname` - The new group name

### getRoles

    java.util.Iterator getRoles()

  Return the set of `Role`s assigned specifically to this group.

### getUserDatabase

    UserDatabase getUserDatabase()

  Return the `UserDatabase` within which this Group is defined.

### getUsers

    java.util.Iterator getUsers()

  Return the set of `User`s that are members of this group.

### addRole

    void addRole(Role role)

  Add a new `Role` to those assigned specifically to this group.

  Parameters:
    `role` - The new role

### isInRole

    boolean isInRole(Role role)

  Is this group specifically assigned the specified `Role`?

  Parameters:
    `role` - The role to check

### removeRole

    void removeRole(Role role)

  Remove a `Role` from those assigned to this group.

  Parameters:
    `role` - The old role

### removeRoles

    void removeRoles()

  Remove all `Role`s from those assigned to this group.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.